Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.base
Class FinalizableReferenceQueue

    java.lang.Object
      com.google.common.base.FinalizableReferenceQueue

    public class FinalizableReferenceQueue

extends Object

A reference queue with an associated background thread that dequeues references and invokes `FinalizableReference.finalizeReferent()` on them.

Keep a strong reference to this object until all of the associated referents have been finalized. If this object is garbage collected earlier, the backing thread will not invoke `finalizeReferent()` on the remaining references.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Bob Lee

Constructor Summary
`FinalizableReferenceQueue()` Constructs a new queue.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinalizableReferenceQueue

    public FinalizableReferenceQueue()

  Constructs a new queue.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.